Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 30 Sep 2014, 02:30
All times are UTC - 4
 Forum index » House Training » Bugs ( Submit bugs )
Slacko 5.7 - March 2014
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 14 of 18 [256 Posts]   Goto page: Previous 1, 2, 3, ..., 12, 13, 14, 15, 16, 17, 18 Next
Author Message
mavrothal


Joined: 24 Aug 2009
Posts: 1633

PostPosted: Tue 27 May 2014, 23:41    Post subject:  

Karl Godt wrote:

What when inPKGSIZE OR FREESPACE are not :digit: only ?

They should be because
Code:
if [ "$(echo $PKGSIZE | grep K)" != "" ]; then

and
Code:
FREESPACE=$(df -k ...

But I'm sure it can be improved Wink
Actually the FREESPACE calculation can be problematic in puppmode 5, 7,13,77 when pupp_rw is in tmpsf because you may have enough RAM for the file but a small savefile and get into trouble when you merge.
So the "case $PUPMODE in" part should also have
Code:
13) FREESPACE=$(df -k | grep pup_ro1 | awk '{print $4}') ;;

and probably something different for pupmode 7 and 77.
Never run these modes. Any idea where the save partition in 7 is mounted or if there is anyway to see the available space in a writable CD?
Come to think of it pupmode 5 could also be problematic if the user chooses smaller savefile and should be excluded but then you stop live users from having and updated system...

_________________
Kids all over the world go around with an XO laptop. They deserve one puppy (or many) too Very Happy
Back to top
View user's profile Send private message 
killapup


Joined: 25 Apr 2012
Posts: 73
Location: Warwick, Qld, Australia

PostPosted: Wed 28 May 2014, 08:40    Post subject:
Subject description: ...still no go...
 

bigpup wrote:
killapup,

A bad save file could cause this.
Delete it and try to make a new one.
I assume everything seems to be OK, before making the save file.
Some info on name, size, and type would help.
What changes are you making before doing a save?


bigpup, I tried your suggestion, I reinstalled and got the same result. Yes, everything is fine before making the save file. So I deleted the save file, both of them (see at end of post), rebooted and made another save file, same result.

Despite what the screen looks like, I can access the folders and some files, not that I tried to open any of them. Actually, I did try to open the background images and they were empty??

It is interesting, though, that the first dialogue that comes up when the save file is in place is a notice to say that the backdrop couldn't be found and was removed. The next thing was the dialogue to start the setup process again. When I restart without the save file, all is good again.

Could it be something to do with the rc.shutdown issue?? Maybe it doesn't complete something vital before I have to do a hard shutdown???

When I install, I set the language and time zone, then connect the internet, that's it, I've done that for all my puppy installs. Then I usually run through the shutdown process and make the save file, for which I normally use ext2, but I did try ext3 this time, no difference to the end result. I usually use 512Mb or 1G for file size, I tried both. As for the name, I just put 'ray' in the save file name.

I said at the beginning that I deleted both save files, When I first install, I save a save file which is saved to the top level but when I reboot, I have to go through the setup again which puts the save file in the slacko5.7.0frugal directory, is that normal??

I think one thing can be confirmed and that is that sda14 is the highest partition number allowable on these systems.

I hope someone can make sense of this because I'm about to give up,
Ray

_________________
Carolina Frugal install... Very Happy
HP Compaq Presario V2000, 1Gb RAM... Smile
Also Precise Puppy 5.7, MacPup, quirky, VectorLinux, and Porteus. Laughing
Fluxpup, CentOS and now blackPantherOS too. Slacko's back Wink
Back to top
View user's profile Send private message 
mavrothal


Joined: 24 Aug 2009
Posts: 1633

PostPosted: Wed 28 May 2014, 12:04    Post subject:  

mavrothal wrote:

Actually the FREESPACE calculation can be problematic in puppmode 5, 7,13,77 when pupp_rw is in tmpsf because you may have enough RAM for the file but a small savefile and get into trouble when you merge.
So the "case $PUPMODE in" part should also have
Code:
13) FREESPACE=$(df -k | grep pup_ro1 | awk '{print $4}') ;;

and probably something different for pupmode 7 and 77


Quoting myself Rolling Eyes here is new pet of update manager than calculates free space on the savefile/partition before download pased on pupmode, a bit better.

Code:
--- a/usr/bin/updates_mgr   2013-12-30 01:16:40.000000000 +0200
+++ b/usr/bin/updates_mgr   2014-05-28 19:54:56.000000000 +0300
@@ -17,6 +17,7 @@
 
 . /etc/DISTRO_SPECS
 . /usr/bin/gettext.sh
+. /etc/rc.d/PUPSTATE
 
 # blacklisted packages #thanks to npierce
 BLACKLIST=" sudo glib dbus"
@@ -63,7 +64,23 @@
      exit
    fi
    
-   PKGINST=$(grep "$1" /tmp/updates_slack2.lst|cut -d '|' -f4)
+   PKGINST=$(grep "$1" /tmp/updates_slack2.lst|cut -d '|' -f5)
+   #Check if we have the space
+   PKGSIZE=$(grep "$1" /tmp/updates_slack2.lst|cut -d '|' -f4)
+   if [ "$(echo $PKGSIZE | grep K)" != "" ]; then
+    xPKGSIZE=$(echo $PKGSIZE | tr -d K)
+    inPKGSIZE=$(expr $xPKGSIZE \* 2)
+   else
+    inPKGSIZE=$(expr $xPKGSIZE \/ 512)
+   fi
+   case $PUPMODE in
+    2) FREESPACE=$(df -k | grep '/$' | awk '{print $4}') ;;
+    7|13|77) FREESPACE=$(df -k | grep pup_ro1 | awk '{print $4}') ;;
+    *) FREESPACE=$(df -k | grep pup_rw | awk '{print $4}') ;;
+   esac
+   [ "$inPKGSIZE" -gt "$FREESPACE" ] && gtkdialog-splash -close box -bg red -timeout 10 -text\
+   "$(gettext "There is not enough space to install $1. Exiting")" && exit 1
+   
    [ "$(echo $1|grep firefox)" != "" ] && MOZ=mozilla-firefox
    [ "$(echo $1|grep seamonkey)" != "" ] && MOZ=seamonkey
    
@@ -196,7 +213,7 @@
 #get rid of dep info, can bork
 [ -f /tmp/update_slack_database ] && rm /tmp/update_slack_database
 while read PLINE
-  do XLINE=$(echo $PLINE|cut -d '|' -f1,2,3,8,10)
+  do XLINE=$(echo $PLINE|cut -d '|' -f1,2,3,6,8,10)
   echo "$XLINE" >> /tmp/update_slack_database
   done <$PKGINFODIR/Packages-slackware-$DISTRO_COMPAT_VERSION-patches
 while read line
updates_mgr-2.pet
Description 
pet

 Download 
Filename  updates_mgr-2.pet 
Filesize  4.45 KB 
Downloaded  73 Time(s) 

_________________
Kids all over the world go around with an XO laptop. They deserve one puppy (or many) too Very Happy
Back to top
View user's profile Send private message 
mavrothal


Joined: 24 Aug 2009
Posts: 1633

PostPosted: Wed 28 May 2014, 12:05    Post subject:  

Embarassed
_________________
Kids all over the world go around with an XO laptop. They deserve one puppy (or many) too Very Happy
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 5162
Location: Charleston S.C. USA

PostPosted: Thu 29 May 2014, 00:55    Post subject:  

killapup wrote:
I said at the beginning that I deleted both save files, When I first install, I save a save file which is saved to the top level but when I reboot, I have to go through the setup again which puts the save file in the slacko5.7.0frugal directory, is that normal??

In a way yes.
The idea is that if you have a frugal install to a directory. All the files, including the save file, should be in that directory.
Save files outside of that directory are probably for other uses. A live CD, etc...

What format is the partition the frugal install is on?

Try only having the save file in the directory the frugal install is in.
Make sure no other Slacko 5.7 save file is on that partition.

From Slacko 5.7 release notes:
Quote:
If your system fails to create a pupsave, an alternative save program is located in PPM, called pupsaveconfig. Try that.


Just an idea based on a recent post I read:

Make the save file bigger than 512MB.

If this was your first post about this. (which it is not) I would think you got a bad download of the Slacko 5.7 iso or bad install.

I assume you have no problems with:
Memory on this computer.
To check memory download and burn a bootable CD of Memtest86.
http://www.memtest.org/#downiso

Maybe bad section of the hard drive. Just happens to be where you are trying to do all of this.
Manufacturers web sites have test programs you could use to check.

_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send private message 
gcmartin

Joined: 14 Oct 2005
Posts: 4287
Location: Earth

PostPosted: Thu 29 May 2014, 02:32    Post subject:  

@Killapup, curious to know what the path is for you frugal files?

In the past, I have not seen issues with save-sessions being missed or disregarded on startup. in fact, what I have witnessed is that when multiple saves for a given distro is found, the system will show what it found waiting for a confirmation of which "save" to use.

And I have never witnessed the system saving to an alternate save session other than the one it originally booted from when shutting down. Thus, if it used a save-session in root at startup, it will continue to do so thru shutdown without ever changing its path.

I do not run frugal, but in my past tests, this has been my observations. If you are seeing something different from this , we need to look further to the root cause or for a change that is occurring in V5.7.

Hope this helps

_________________
Get ACTIVE Create Circles; Do those good things which benefit people's needs!
We are all related ... Its time to show that we know this!
3 Different Puppy Search Engine or use DogPile
Back to top
View user's profile Send private message 
killapup


Joined: 25 Apr 2012
Posts: 73
Location: Warwick, Qld, Australia

PostPosted: Thu 29 May 2014, 07:01    Post subject:
Subject description: YeeHaa!!!!!
 

Well, I did it Very Happy

I think I cheated but it worked Laughing

I deleted the savefile in 5.7 and left the partition otherwise intact, then I installed 5.6 to another partition, made all the usual changes and made the savefile for it. I then copied this savefile to the 5.7 partition and voila Laughing

Now, the only issue is the shutdown problem... Confused

So, I've tried to copy the rc.shutdown file from the 5.6 disk but when I open the .sfs it has to be installed or is read-only. How do I get around that one?? Is there any other way to get a shutdown file, does it have to be a slacko rc file??

Thanks,
Ray

_________________
Carolina Frugal install... Very Happy
HP Compaq Presario V2000, 1Gb RAM... Smile
Also Precise Puppy 5.7, MacPup, quirky, VectorLinux, and Porteus. Laughing
Fluxpup, CentOS and now blackPantherOS too. Slacko's back Wink
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 5162
Location: Charleston S.C. USA

PostPosted: Fri 30 May 2014, 02:04    Post subject:  

killapup,

Good you are making some progress, but you should not have to do this to get a working save file.

Just because some hardware can have problems with the pae version of Slacko 5.7.
(it is only needed if you have 4GB or more of ram).

Could you make sure you are using the no-pae version.
http://ftp.nluug.nl/ftp/pub/os/Linux/distr/puppylinux/puppy-slacko-5.7/slacko-5.7-NO-pae.iso

_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send private message 
killapup


Joined: 25 Apr 2012
Posts: 73
Location: Warwick, Qld, Australia

PostPosted: Fri 30 May 2014, 07:13    Post subject:  

bigpup wrote:

Could you make sure you are using the no-pae version.
http://ftp.nluug.nl/ftp/pub/os/Linux/distr/puppylinux/puppy-slacko-5.7/slacko-5.7-NO-pae.iso


Thanks bigpup, no, with the no-pae version I get no wifi whatsoever and it still has the shutdown issue. I tried a second download of the no-pae version and it was exactly the same as the first one. Of course, I could have gotten 2 bad downloads, I'm pretty sure I used 2 different mirrors for both downloads. But on your suggestion, I'll download from the link provided and see how it goes.

Like I've said, this is completely unlike any of the Slackos I've used before and I've been using Slacko since 5.3

Thanks again, bigpup,
Ray

_________________
Carolina Frugal install... Very Happy
HP Compaq Presario V2000, 1Gb RAM... Smile
Also Precise Puppy 5.7, MacPup, quirky, VectorLinux, and Porteus. Laughing
Fluxpup, CentOS and now blackPantherOS too. Slacko's back Wink
Back to top
View user's profile Send private message 
killapup


Joined: 25 Apr 2012
Posts: 73
Location: Warwick, Qld, Australia

PostPosted: Fri 30 May 2014, 09:59    Post subject:  

Hey bigpup,

I just tried the downloaded iso from the link you gave and there's no joy there, exactly the same result as all the others. Sad

I'll stick with the pae version for now and hopefully I can overcome the shutdown issue, anyone have any ideas??

Ray

_________________
Carolina Frugal install... Very Happy
HP Compaq Presario V2000, 1Gb RAM... Smile
Also Precise Puppy 5.7, MacPup, quirky, VectorLinux, and Porteus. Laughing
Fluxpup, CentOS and now blackPantherOS too. Slacko's back Wink
Back to top
View user's profile Send private message 
killapup


Joined: 25 Apr 2012
Posts: 73
Location: Warwick, Qld, Australia

PostPosted: Sat 31 May 2014, 03:23    Post subject:
Subject description: Did it again...
 

G'day all,

Well, I did it again, it might be a cheat (once again) but it worked. I have been trying to find a way to put the rc.shutdown from 5.6 into 5.7 but because it is read-only when viewing the contents of the .sfs, I haven't been able to do it yet.

But, in all of that investigating, I thought, why not install the 5.6.sfs?? So I did, and, while it may not be the most elegant solution, it works as a workaround. Of course, I have 2 sets of icons in the right-hand end of the tray but at least it shuts down as it should. Laughing

I think I'll redo my signature to include Slacko again Smile

Ray

_________________
Carolina Frugal install... Very Happy
HP Compaq Presario V2000, 1Gb RAM... Smile
Also Precise Puppy 5.7, MacPup, quirky, VectorLinux, and Porteus. Laughing
Fluxpup, CentOS and now blackPantherOS too. Slacko's back Wink
Back to top
View user's profile Send private message 
chillinfart

Joined: 22 May 2006
Posts: 43

PostPosted: Sat 31 May 2014, 19:45    Post subject:  

A visual bug. On older versions Frisbee changes it's own icon to a phone when i use Pupdial. On 5.7 the net icon doesn't show any info about data used (and here mobile internet is expensive Crying or Very sad )

Fortunately, is not an issue that i will see often.
pup_2014-05-31_140540.jpg
Description 
jpg

 Download 
Filename  pup_2014-05-31_140540.jpg 
Filesize  80.59 KB 
Downloaded  78 Time(s) 
Back to top
View user's profile Send private message 
rg66


Joined: 23 Jul 2012
Posts: 512
Location: Vancouver, BC Canada / Entebbe, Uganda Africa!?!

PostPosted: Tue 03 Jun 2014, 00:32    Post subject:  

Thanks for Slacko-5.7, nice job.

Spent a few hours customizing 5.7-no-pae and removing built in apps, loaded the devx and all the apps reappear. The whiteout files are being deleted from /initrd/pup_rw. Didn't seem to effect any other changes. Luckily I had made savefile backups.

Edit: Loading GIMP does the same thing. Maybe it's the latest SFS-load-on-the-fly that is causing this?

Edit2: The same thing happens in X-slacko and X-precise, both were updated to the latest SFS-load. It also happens on unload. I'll post in that thread.

_________________
Carolite-1.2 / Carolina-1.2 / X-precise-2.4 / X-slacko-2.1
Carolina
X-precise/X-slacko
Back to top
View user's profile Send private message 
canin

Joined: 08 Apr 2012
Posts: 21

PostPosted: Sun 15 Jun 2014, 15:28    Post subject:  

first, i have to ask: what happened to the slacko-homepage? i couldnt reach it today. fault of my provider?
edit: found the answer, thx and good luck in solving that...


second, i had a problem reaching the chrome webstore for addons, getting some demand for a browser update. i found a thread in puppylinux.info forum, where a link was posted to ubuntu forum, where i read the solution: starting chrome with the flag --enable-extensions worked, also for me.
since im starting chrome per script, easy solution, very happy Smile
i hope, its something new or even helpful, maybe.
(using slacko 5.7 with chrome 35

cheers
Back to top
View user's profile Send private message 
technosaurus


Joined: 18 May 2008
Posts: 4351

PostPosted: Sun 15 Jun 2014, 18:04    Post subject:  

I had a helluva time getting my video card (radeon 65xx series), touchpad (synaptics) and Xorg to play nicely together, The autoconfigure option kept trying to have 3 screens and use a different one on each video driver, but I didn't have any external monitor plugged in and the devices were really all the same. I finally edited my own and bypassed xwin/startx (just in case) by using:
X & sleep 2 && jwm -display :0
... Here is my xorg.conf that got me going

Code:
Section "ServerLayout"
   Identifier     "X.org Configured"
   Screen      0  "Screen0" 0 0
   InputDevice    "Synaptics Mouse" "AlwaysCore" #serverlayoutsynaptics
   InputDevice    "Mouse0" "CorePointer"
   InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "Files"
   ModulePath   "/usr/lib/xorg/modules"
   FontPath     "/usr/share/fonts/local"
   FontPath     "/usr/share/fonts/TTF"
   FontPath     "/usr/share/fonts/OTF"
   FontPath     "/usr/share/fonts/Type1"
   FontPath     "/usr/share/fonts/misc"
   FontPath     "/usr/share/fonts/CID"
   FontPath     "/usr/share/fonts/75dpi/:unscaled"
   FontPath     "/usr/share/fonts/100dpi/:unscaled"
   FontPath     "/usr/share/fonts/75dpi"
   FontPath     "/usr/share/fonts/100dpi"
   FontPath     "/usr/share/fonts/cyrillic"
   FontPath     "/usr/share/X11/fonts/misc/"
   FontPath     "/usr/share/X11/fonts/Type1/"
   FontPath     "/usr/share/X11/fonts/TTF/"
EndSection

Section "Module"
   Load  "dbe"
   Load  "dri"
   Load  "dri2"
   Load  "extmod"
   Load  "glx"
   Load  "record"
   Load  "synaptics" #loadsynaptics
   SubSection  "extmod"
      Option    "omit xfree86-dga"   # don't initialise DGA extension
   EndSubSection
EndSection

Section "InputDevice"
   Identifier  "Keyboard0"
   Driver      "kbd"
   Option      "XkbRules" "xorg"
   Option      "XkbModel" "pc102" #xkbmodel0
   Option      "XkbLayout" "us" #xkeymap0
   #Option      "XkbVariant" "" #xkbvariant0
EndSection

Section "InputDevice"
   Identifier  "Mouse0"
   Driver      "mouse"
   Option       "Protocol" "IMPS/2" #mouse0protocol
   Option       "Device" "/dev/mouse"
   Option      "Emulate3Buttons"
   Option      "Emulate3Timeout" "50"
   Option      "ZAxisMapping" "4 5" #scrollwheel
EndSection

Section "InputDevice"
   Identifier "Synaptics Mouse"
   Driver "synaptics"
   Option "SHMConfig" "on"
EndSection

Section "Screen"
   Identifier "Screen0"
   Device     "Card0"
   Monitor    "Monitor0"
   SubSection "Display"
      Viewport   0 0
      Depth     1
   EndSubSection
   SubSection "Display"
      Viewport   0 0
      Depth     4
   EndSubSection
   SubSection "Display"
      Viewport   0 0
      Depth     8
   EndSubSection
   SubSection "Display"
      Viewport   0 0
      Depth     15
   EndSubSection
   SubSection "Display"
      Viewport   0 0
      Depth     16
   EndSubSection
   SubSection "Display"
      Viewport   0 0
      Depth     24
   EndSubSection
EndSection

Section "ServerFlags"
    Option "RandR" "on"
    Option "AutoAddDevices" "false"
    Option "DontZap" "false"
EndSection


Section "Monitor"
   Identifier   "Monitor0"
   VendorName   "Monitor Vendor"
   ModelName    "Monitor Model"
   HorizSync    35-81
   VertRefresh  59-76
   #UseModes     "Modes0" #monitor0usemodes
   Option      "PreferredMode" "1366x768" #monitor0prefmode
EndSection

   
Section "Modes"
   Identifier "Modes0"
   #modes0modeline0
EndSection

Section "Device"
   Identifier  "Card0"
   Driver      "modesetting"
   BusID       "PCI:0:1:0"
EndSection

Section "Device"
   Identifier  "Card1"
   Driver      "radeon"
   BusID       "PCI:0:1:0"
EndSection

Section "Device"
   Identifier  "Card2"
   Driver      "vesa"
   BusID       "PCI:0:1:0"
EndSection


_________________
Web Programming - Pet Packaging 100 & 101
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 14 of 18 [256 Posts]   Goto page: Previous 1, 2, 3, ..., 12, 13, 14, 15, 16, 17, 18 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Bugs ( Submit bugs )
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1390s ][ Queries: 12 (0.0155s) ][ GZIP on ]